cordova.define("cordova-plugin-inappupdates.InAppUpdates", function(require, exports, module) {
var Utils = require('./Utils')

const updateType = {
	Flexible : 0,
	Immediate : 1,
}

function checkForUpdates(type = updateType.Immediate) {
	if(!type)
		throw new Error('Update type is not defined')
	
	return Utils.exec('checkForUpdates', [type])
}

function updateApp(type = updateType.Immediate) {
	if(!type)
		throw new Error('Update type is not defined')
	
	return Utils.exec('updateApp', [type])
}

module.exports = {
	checkForUpdates: checkForUpdates,
	updateApp: updateApp,
	updateType: updateType,
};

});
